import 'dart:async';

import 'package:apex_flutter_plugin/core/resources/constants.dart';
import 'package:apex_flutter_plugin/core/transition/slide_transition.dart';
import 'package:apex_flutter_plugin/core/util/image_util.dart';
import 'package:apex_flutter_plugin/res/res_images.dart';
import 'package:apex_flutter_plugin/screens/firebase_auth/phone_auth/login_ui.dart';
import 'package:flutter/material.dart';

class SplashScreen extends StatefulWidget {
  @override
  _SplashScreenState createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  @override
  void initState() {
    super.initState();
    Timer(
      Duration(seconds: Constants.SPLASH_DELAY),
      () => Navigator.of(context).pushReplacement(
        SlideAnimation(
            widget: SignIn(),
            duration: Duration(seconds: 2),
            type: SlideType.BLC),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.blue,
      body: Center(
        child: ImageUtil.fromAssets(ImagesResources.ic_logo),
      ),
    );
  }
}
